Skip to main content
DELETE
/
cms
/
hubdb
/
2026-03
/
tables
/
{tableIdOrName}
/
versions
/
{versionId}
Delete a table version
curl --request DELETE \
  --url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/versions/{versionId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/versions/{versionId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

tableIdOrName
string
required

The ID or name of the table whose version is to be deleted.

versionId
integer<int64>
required

The ID of the specific version of the table to delete.

Response

Last modified on March 31, 2026